Subject: Re: [PATCH v4 0/1] ref-filter: add new "signature" atom

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Jan 2023 13:07:02 -0800

Nsengiyumva Wilberforce <[email-masked]> writes:

> iv) I also moved check_commit_signature(commit, &sigc) out of the
> to avoid running GPG twice.still this change is in grab_signature()
> in ref-filter.c.

Is there some code to avoid calling check_commit_signature() or
grab_signature() itself when no %(signature) atoms is used?  When
nobody asked to use signature atom at all, calling GPG once is
already once too many.

Thanks.